Bug 26889 - Remove extra space from "Damaged :" in item search
Summary: Remove extra space from "Damaged :" in item search
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-01 13:54 UTC by Katrin Fischer
Modified: 2020-11-16 20:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26889: Remove extra space from "Damaged :" in item search (3.78 KB, patch)
2020-11-02 12:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26889: Remove extra space from "Damaged :" in item search (3.83 KB, patch)
2020-11-02 19:32 UTC, David Nind
Details | Diff | Splinter Review
Bug 26889: Remove extra space from "Damaged :" in item search (3.89 KB, patch)
2020-11-02 21:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-11-01 13:54:13 UTC
The item search displays an extra space between the search label and the following : on the item search form. I did some tracking but was not able to see where it came from.
Comment 1 Owen Leonard 2020-11-02 12:34:02 UTC
Created attachment 112828 [details] [review]
Bug 26889: Remove extra space from "Damaged :" in item search

This patch adds the chomp shorthand [%- -%] to the BLOCK for showing
labels in the item search template. This collapses the whitespace around
the label, eliminating the unwanted space around the ":"

To test, apply the patch and go to the item search page in the staff
interface. There should be no space before the colon in the "Damaged"
label.
Comment 2 David Nind 2020-11-02 19:32:24 UTC
Created attachment 112865 [details] [review]
Bug 26889: Remove extra space from "Damaged :" in item search

This patch adds the chomp shorthand [%- -%] to the BLOCK for showing
labels in the item search template. This collapses the whitespace around
the label, eliminating the unwanted space around the ":"

To test, apply the patch and go to the item search page in the staff
interface. There should be no space before the colon in the "Damaged"
label.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-11-02 21:48:38 UTC
Created attachment 112881 [details] [review]
Bug 26889: Remove extra space from "Damaged :" in item search

This patch adds the chomp shorthand [%- -%] to the BLOCK for showing
labels in the item search template. This collapses the whitespace around
the label, eliminating the unwanted space around the ":"

To test, apply the patch and go to the item search page in the staff
interface. There should be no space before the colon in the "Damaged"
label.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-11-02 21:49:10 UTC
I tried adding a few -, but obviously not in the right spots :)
Comment 5 Jonathan Druart 2020-11-03 10:00:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 20:53:06 UTC
doesnt clean apply to 20.05.x, no backport

please rebase if needed